A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Structures | Namespaces
traits.hpp File Reference
`#include <complex>`
`#include <af/defines.h>`
`#include <af/complex.h>`
`#include <af/half.h>`

Go to the source code of this file.

## Data Structures
struct | dtype_traits< float >
struct | dtype_traits< af::cfloat >
struct | dtype_traits< std::complex< float > >
struct | dtype_traits< double >
struct | dtype_traits< af::cdouble >
struct | dtype_traits< std::complex< double > >
struct | dtype_traits< char >
struct | dtype_traits< int >
struct | dtype_traits< unsigned >
struct | dtype_traits< unsigned char >
struct | dtype_traits< long long >
struct | dtype_traits< unsigned long long >
struct | dtype_traits< short >
struct | dtype_traits< unsigned short >
struct | dtype_traits< half >

## Namespaces
namespace | af